Bug 902729 - May I update ntfs-3g to 2013.1.13?
Summary: May I update ntfs-3g to 2013.1.13?
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ntfs-3g
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-22 10:51 UTC by Richard W.M. Jones
Modified: 2013-02-19 01:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-19 01:27:55 UTC


Attachments (Terms of Use)
0001-New-upstream-version-2013.1.13-RHBZ-902729.patch (1.31 MB, patch)
2013-01-22 11:47 UTC, Richard W.M. Jones
no flags Details | Diff

Description Richard W.M. Jones 2013-01-22 10:51:50 UTC
Description of problem:

ntfs-3g 2013.1.13 was released about a week ago.  I have
built an RPM using this, and it builds and works fine (in
only light testing so far).

Do you mind if I update the version in Rawhide?  Possibly
also the version in F18, but that's up for debate.

Also I will sort through which patches need to be applied,
which need to be rebased, and which can be dropped.

Also can I remove the large number of patches in the git
repo which don't appear to be used any more?

Version-Release number of selected component (if applicable):

2013.1.13

Comment 1 Richard W.M. Jones 2013-01-22 11:47:12 UTC
Created attachment 685103 [details]
0001-New-upstream-version-2013.1.13-RHBZ-902729.patch

The patch I propose to add.

Comment 2 Tom "spot" Callaway 2013-01-25 18:41:16 UTC
Please go ahead and do this for F18 and rawhide. I'm still recovering from being in the hospital unexpectedly, or I would have done this already,

Comment 3 Richard W.M. Jones 2013-01-25 20:55:32 UTC
Sorry, I somehow managed to screw up the simple task of
merging master into f18, so there's an -1.fc18.1 package.

Anyway, all done now.

Comment 4 Fedora Update System 2013-01-25 20:56:26 UTC
ntfs-3g-2013.1.13-1.fc18.1 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ntfs-3g-2013.1.13-1.fc18.1

Comment 5 Fedora Update System 2013-01-26 16:00:21 UTC
Package ntfs-3g-2013.1.13-1.fc18.1:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ntfs-3g-2013.1.13-1.fc18.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1536/ntfs-3g-2013.1.13-1.fc18.1
then log in and leave karma (feedback).

Comment 6 Thorsten Leemhuis 2013-01-27 15:51:19 UTC
Testdisk needs to be rebuild, otherwise this updates brings yum to boil out iwth this:

Error: Package: testdisk-6.13-2.fc18.x86_64 (@fedora)
           Requires: libntfs-3g.so.83()(64bit)
           Removing: 2:ntfs-3g-2012.1.15-5.fc18.x86_64 (@updates-testing)
               libntfs-3g.so.83()(64bit)
           Updated By: 2:ntfs-3g-2013.1.13-1.fc18.1.x86_64 (updates-testing)
               Not found

Comment 7 Richard W.M. Jones 2013-01-27 16:04:33 UTC
Thanks -- I didn't fully appreciate that ntfs-3g had
a library component.

# repoquery --whatrequires 'libntfs-3g.so.83()(64bit)'
ntfs-3g-devel-2:2012.1.15-5.fc18.x86_64
ntfsprogs-2:2012.1.15-5.fc18.x86_64
testdisk-0:6.13-2.fc18.x86_64

I have kicked off a build of testdisk in F18 (already done
by the maintainer for Rawhide).

Comment 8 Richard W.M. Jones 2013-01-27 16:14:18 UTC
The update now contains ntfs-3g and testdisk:

https://admin.fedoraproject.org/updates/FEDORA-2013-1536

Comment 9 Fedora Update System 2013-01-28 14:56:54 UTC
Package ntfs-3g-2013.1.13-1.fc18.1, testdisk-6.13-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ntfs-3g-2013.1.13-1.fc18.1 testdisk-6.13-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1536/testdisk-6.13-5.fc18,ntfs-3g-2013.1.13-1.fc18.1
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-02-01 17:09:53 UTC
Package ntfs-3g-2013.1.13-1.fc18.1, testdisk-6.13-5.fc18.1:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ntfs-3g-2013.1.13-1.fc18.1 testdisk-6.13-5.fc18.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-1536/testdisk-6.13-5.fc18.1,ntfs-3g-2013.1.13-1.fc18.1
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2013-02-19 01:27:57 UTC
ntfs-3g-2013.1.13-1.fc18.1, testdisk-6.13-5.fc18.1 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.